# Ubuntu 22.04.02 root aktivieren

<ol class="steps">
<li><span>&Ouml;ffnen Sie zun&auml;chst&nbsp;</span><a href="https://putty.org/" target="_blank" rel="noopener"><span>ein Befehlszeilenterminal</span></a><span>&nbsp;und &ouml;ffnen Sie die&nbsp;</span><code>/etc/ssh/sshd_config</code><span>SSH-Konfigurationsdatei mit nano oder Ihrem bevorzugten Texteditor. Stellen Sie sicher, dass Sie dies mit&nbsp;</span><a href="https://notepad-plus-plus.org/downloads/" target="_blank" rel="noopener"><span>Root-Rechten</span></a><span>&nbsp;tun&nbsp;.</span>
<pre><span>$ sudo nano /etc/ssh/sshd_config
</span></pre>
</li>
<li><span>In dieser Datei m&uuml;ssen wir das Kommentarzeichen entfernen&nbsp;</span><code>#PermitRootLogin prohibit-password</code><span>und die Einstellung in &auml;ndern&nbsp;</span><code>yes</code><span>. Unten sehen Sie, wie Ihre Linie aussehen sollte.</span>
<pre><span>AUS:</span><span>
#PermitRootLogin prohibit-password</span><span>
ZU:</span><span>
PermitRootLogin ja</span>
</pre>
<p><span>Der schnelle Weg, diese Aufgabe zu erledigen, k&ouml;nnte darin bestehen, einfach den&nbsp;</span><code>sed</code><span>folgenden Befehl zu verwenden:</span></p>
<pre><span>$ sudo sed -i 's/#PermitRootLogin prohibit-password/PermitRootLogin yes/' /etc/ssh/sshd_config
</span></pre>
</li>
<li><span>Jetzt m&uuml;ssen wir den SSH-Dienst neu starten, damit die &Auml;nderungen wirksam werden.</span>
<pre><span>$ sudo systemctl ssh neu starten
</span></pre>
</li>
<li><span>Standardm&auml;&szlig;ig ist das Root-Passwort unter Ubuntu 22.04 nicht festgelegt und die Fehlermeldung&nbsp;</span><code>Permission denied, please try again</code><span>wird angezeigt, wenn versucht wird, sich als Root-Benutzer per SSH anzumelden. Aus diesem Grund m&uuml;ssen wir das Root-Passwort festlegen. Wenn Sie dazu aufgefordert werden, geben Sie Ihr aktuelles Benutzerpasswort ein, gefolgt von einem neuen Root-Passwort:</span>
<pre><span>$ sudo passwd</span><span>
[sudo] Passwort f&uuml;r linuxconfig:</span><span>
Geben Sie ein neues UNIX-Passwort ein:</span><span>
Geben Sie das neue UNIX-Passwort erneut ein:</span><span>
passwd: Passwort erfolgreich aktualisiert</span>
</pre>
</li>
<li><span>Da Ihr Ubuntu 22.04-System eingehenden Datenverkehr auf Port 22/ssh zul&auml;sst, sollten Sie jetzt f&uuml;r die SSH-Anmeldung als Root bereit sein:</span>
<pre><span>$ sudo ufw erlaubt SSH
</span></pre>
<pre><span>$ ssh root@ubuntu-server</span></pre>
</li>
</ol>